Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps.assertions
Class AssertionError

    java.lang.Object
      com.eviware.soapui.impl.wsdl.teststeps.assertions.AssertionError

All Implemented Interfaces:
  ValidationError

    public class AssertionError

extends java.lang.Object
implements ValidationError

Holder for an assertion error

Author:
  Ole.Matzura

Constructor Summary
`AssertionError(java.lang.String message)`
`AssertionError(org.apache.xmlbeans.XmlError xmlError)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getLineNumber()`
`java.lang.String` | `getMessage()`
`org.apache.xmlbeans.XmlError` | `getXmlError()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssertionError

    public AssertionError(java.lang.String message)

### AssertionError

    public AssertionError(org.apache.xmlbeans.XmlError xmlError)

Method Detail

### getMessage

    public java.lang.String getMessage()

### getLineNumber

    public int getLineNumber()

  Specified by:
    `getLineNumber` in interface `ValidationError`

### getXmlError

    public org.apache.xmlbeans.XmlError getXmlError()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.